#pragma once
#include "asset.h"
namespace engineapi {
	class AssetLoader :public IFileLoader{
	public:
		static void Init();
		ResourceBundle LoadFile(PackagePath handle, const MetaBundle& meta) override;
		void SaveFile(PackagePath handle, const ResourceBundle& bundle) override;
	};
}